<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
	xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Decoder Kit - Register</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/ionicons/2.0.1/css/ionicons.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Bitter:400,700">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700">
    <link rel="stylesheet" th:href="@{/css/styles.min.css}">
</head>

<body>
    <div>
        <nav class="navbar navbar-light navbar-expand-md navigation-clean-button">
            <div class="container"><a class="navbar-brand" href="/">Decoder Kit</a><button class="navbar-toggler" data-toggle="collapse" data-target="#navcol-1"><span class="sr-only">Toggle navigation</span><span class="navbar-toggler-icon"></span></button>
                <div class="collapse navbar-collapse"
                    id="navcol-1">
                    <ul class="nav navbar-nav mr-auto">
                        <li class="nav-item" role="presentation"><a class="nav-link" href="/">Home</a></li>
                        <li class="nav-item" role="presentation"><a class="nav-link" href="/list">Users</a></li>
                        <li class="nav-item" role="presentation"><a class="nav-link" href="/about">Team</a></li>
                    </ul><span class="navbar-text actions"> <a class="btn btn-light action-button" role="button" href="/login">Login</a></span></div>
            </div>
        </nav>
    </div>
    <div class="register-photo">
        <div class="form-container">
            <div class="image-holder"></div>
            <form autocomplete="off" action="#" th:action="@{/registration}" th:object="${user}" method="post" class="form-horizontal" role="form">
					<div class="form-group">
						<div class="col-sm-13">
						<label th:if="${#fields.hasErrors('name')}" th:errors="*{name}"
								class="validation-message"></label>
						<input type="text" th:field="*{name}" placeholder="First Name"
								class="form-control" /> 
						</div>
					</div>

					<div class="form-group">
						<div class="col-sm-13">
						<label	th:if="${#fields.hasErrors('lastName')}" th:errors="*{lastName}"
								class="validation-message"></label>
							<input type="text" th:field="*{lastName}"
								placeholder="Last Name" class="form-control" /> 
						</div>
					</div>
					<div class="form-group">
						<div class="col-sm-13">
							<input type="text" th:field="*{email}" placeholder="Email"
								class="form-control" /> <label
								th:if="${#fields.hasErrors('email')}" th:errors="*{email}"
								class="validation-message"></label>
						</div>
					</div>
					<div class="form-group">
						<div class="col-sm-13">
							<input type="password" th:field="*{password}"
								placeholder="Password" class="form-control" /> <label
								th:if="${#fields.hasErrors('password')}" th:errors="*{password}"
								class="validation-message"></label>
						</div>
					</div>

					<div class="form-group">
						<div class="col-sm-13">
							<button type="submit" class="btn btn-primary btn-block">Register User</button>
						</div>
					</div>
					
					<span th:utext="${successMessage}"></span>
			</form>
        </div>
    </div>
    <div class="footer-basic">
        <footer>
            <div class="social"></div>
            <ul class="list-inline">
                <li class="list-inline-item"></li>
                <li class="list-inline-item"></li>
                <li class="list-inline-item"></li>
                <li class="list-inline-item"></li>
            </ul>
            <p class="copyright">Decoder Kit - Team 1 © 2018</p>
        </footer>
    </div>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.0.0/js/bootstrap.bundle.min.js"></script>
</body>
</html>